Package com.massivecraft.factions.zcore.persist

## Class MemoryFPlayers

- java.lang.Object
- - com.massivecraft.factions.FPlayers
  - - com.massivecraft.factions.zcore.persist.MemoryFPlayers

Direct Known Subclasses:
  `JSONFPlayers`

    public abstract class MemoryFPlayers
    extends FPlayers

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.util.Map<java.lang.String,​FPlayer>` | `fPlayers` |

### Fields inherited from class com.massivecraft.factions.FPlayers

`instance`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`MemoryFPlayers()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `clean()` |
`abstract void` | `convertFrom​(MemoryFPlayers old)` |
`abstract void` | `forceSave()` |
`abstract FPlayer` | `generateFPlayer​(java.lang.String id)` |
`java.util.List<FPlayer>` | `getAllFPlayers()` |
`FPlayer` | `getById​(java.lang.String id)` |
`FPlayer` | `getByOfflinePlayer​(org.bukkit.OfflinePlayer player)` |
`FPlayer` | `getByPlayer​(org.bukkit.entity.Player player)` |
`java.util.Collection<FPlayer>` | `getOnlinePlayers()` |
`abstract void` | `load()` |

### Methods inherited from class com.massivecraft.factions.FPlayers

`forceSave, getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fPlayers

    public java.util.Map<java.lang.String,​FPlayer> fPlayers

### Constructor Detail

#### MemoryFPlayers

    public MemoryFPlayers()

### Method Detail

#### clean

    public void clean()

Specified by:
  `clean` in class `FPlayers`

#### getOnlinePlayers

    public java.util.Collection<FPlayer> getOnlinePlayers()

Specified by:
  `getOnlinePlayers` in class `FPlayers`

#### getByPlayer

    public FPlayer getByPlayer​(org.bukkit.entity.Player player)

Specified by:
  `getByPlayer` in class `FPlayers`

#### getAllFPlayers

    public java.util.List<FPlayer> getAllFPlayers()

Specified by:
  `getAllFPlayers` in class `FPlayers`

#### forceSave

    public abstract void forceSave()

Specified by:
  `forceSave` in class `FPlayers`

#### load

    public abstract void load()

Specified by:
  `load` in class `FPlayers`

#### getByOfflinePlayer

    public FPlayer getByOfflinePlayer​(org.bukkit.OfflinePlayer player)

Specified by:
  `getByOfflinePlayer` in class `FPlayers`

#### getById

    public FPlayer getById​(java.lang.String id)

Specified by:
  `getById` in class `FPlayers`

#### generateFPlayer

    public abstract FPlayer generateFPlayer​(java.lang.String id)

#### convertFrom

    public abstract void convertFrom​(MemoryFPlayers old)